package com.zettenet.recipesdb.persistence.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.zettenet.recipesdb.model.RecipeCategory;

@Repository("recipeCategoryDao")
public class RecipeCategoryDaoHibernate extends
		AbstractRecipeComponentDaoHibernate<RecipeCategory> {

	public RecipeCategoryDaoHibernate() {
		super(RecipeCategory.class);
	}
	
	@Autowired
	public RecipeCategoryDaoHibernate(SessionFactory sessionFactory) {
		super(RecipeCategory.class);
		setSessionFactory(sessionFactory);
	}

}
