package com.zettenet.recipesdb.persistence.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.zettenet.recipesdb.model.RecipeIngredientGroup;

@Repository("recipeIngredientGroupDao")
public class RecipeIngredientGroupDaoHibernate extends
		AbstractRecipeComponentDaoHibernate<RecipeIngredientGroup> {

	public RecipeIngredientGroupDaoHibernate() {
		super(RecipeIngredientGroup.class);
	}
	
	@Autowired
	public RecipeIngredientGroupDaoHibernate(SessionFactory sessionFactory) {
		super(RecipeIngredientGroup.class);
		setSessionFactory(sessionFactory);
	}

}
