package com.zettenet.recipesdb.persistence.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.zettenet.recipesdb.model.RecipeSource;

@Repository("recipeSourceDao")
public class RecipeSourceDaoHibernate extends
		AbstractRecipeComponentDaoHibernate<RecipeSource> {

	public RecipeSourceDaoHibernate() {
		super(RecipeSource.class);
	}
	
	@Autowired
	public RecipeSourceDaoHibernate(SessionFactory sessionFactory) {
		super(RecipeSource.class);
		setSessionFactory(sessionFactory);
	}

}
