package com.zettenet.recipesdb.web.components;

import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.IModel;

public abstract class GPanel<T> extends Panel {
	private static final long serialVersionUID = 3754204061096216350L;

	public GPanel(final String id) {
		super(id);
	}

	public GPanel(final String id, final IModel<T> model) {
		super(id, model);
	}

	@SuppressWarnings("unchecked")
	public final IModel<T> getModel() {
		return (IModel<T>) getDefaultModel();
	}

	@SuppressWarnings("unchecked")
	public final T getModelObject() {
		return (T) getDefaultModelObject();
	}

	public final void setModel(final IModel<T> model) {
		setDefaultModel(model);
	}

	public final void setModelObject(final T modelObject) {
		setDefaultModelObject(modelObject);
	}
}
