package com.zettenet.recipesdb.web.components.listEditor;

import org.apache.wicket.markup.repeater.Item;
import org.apache.wicket.model.AbstractReadOnlyModel;

public class ListEditorItem<T> extends Item<T> {
	private static final long serialVersionUID = -7579808639341681741L;

	private class ListItemModel extends AbstractReadOnlyModel<T> {
		private static final long serialVersionUID = 7877996629011659101L;

		@SuppressWarnings("unchecked")
		@Override
		public T getObject() {
			return ((ListEditor<T>) getParent()).items.get(getIndex());
		}
	}

	public ListEditorItem(String id, int index) {
		super(id, index);
		setModel(new ListItemModel());
	}
}
