package com.zettenet.recipesdb.persistence;

import org.hibernate.Session;

/**
 * An interface to permit a transaction handler to distribute new sessions and transactions to
 * listening objects when required.
 * 
 * @author pvzetten
 */
public interface ISessionObserver {
	/**
	 * @param session
	 *            the session to use in the implementation object
	 */
	public abstract void setSession(Session session);
}
