package com.zettenet.recipesdb.persistence.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.zettenet.recipesdb.model.RecipeIngredient;

@Repository("recipeIngredientDao")
public class RecipeIngredientDaoHibernate extends
		AbstractRecipeComponentDaoHibernate<RecipeIngredient> {

	public RecipeIngredientDaoHibernate() {
		super(RecipeIngredient.class);
	}
	
	@Autowired
	public RecipeIngredientDaoHibernate(SessionFactory sessionFactory) {
		super(RecipeIngredient.class);
		setSessionFactory(sessionFactory);
	}

}
