package com.zettenet.recipesdb.web.components;

import java.util.Collection;
import org.apache.wicket.markup.repeater.RepeatingView;
import org.apache.wicket.model.IModel;


public class GRepeatingView<T> extends RepeatingView {
	private static final long serialVersionUID = -5828440777518831706L;

	public GRepeatingView(final String id) {
		super(id);
	}

	public GRepeatingView(final String id, final IModel<? extends Collection<T>> model) {
		super(id, model);
	}

	@SuppressWarnings("unchecked")
	public final IModel<? extends Collection<T>> getModel() {
		return (IModel<? extends Collection<T>>) getDefaultModel();
	}

	@SuppressWarnings("unchecked")
	public final Collection<T> getModelObject() {
		return (Collection<T>) getDefaultModelObject();
	}

	public final void setModel(final IModel<? extends Collection<T>> model) {
		setDefaultModel(model);
	}

	public final void setModelObject(final Collection<T> modelObject) {
		setDefaultModelObject(modelObject);
	}

}
