package com.zettenet.recipesdb.web.components.listEditor;

public class ListEditorRemoveButton extends ListEditorButton {
	private static final long serialVersionUID = -431183832740366489L;

	public ListEditorRemoveButton(String id) {
		super(id);
		setDefaultFormProcessing(false);
	}

	@Override
	public void onSubmit() {
		int idx = getItem().getIndex();

		for (int i = idx + 1; i < getItem().getParent().size(); i++) {
			ListEditorItem<?> item = (ListEditorItem<?>) getItem().getParent()
					.get(i);
			item.setIndex(item.getIndex() - 1);
		}

		getList().remove(idx);
		getEditor().remove(getItem());
	}

}
